public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "James Le Cuirot" <chewi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/weston/
Date: Mon, 26 Aug 2019 09:00:24 +0000 (UTC)	[thread overview]
Message-ID: <1566809948.0e4c8bbdb10536580607456ea675aef38ec995b1.chewi@gentoo> (raw)

commit:     0e4c8bbdb10536580607456ea675aef38ec995b1
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 26 08:59:08 2019 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Mon Aug 26 08:59:08 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e4c8bbd

dev-libs/weston: Version bump to 7.0.0

Package-Manager: Portage-2.3.73, Repoman-2.3.17
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 dev-libs/weston/Manifest            |   1 +
 dev-libs/weston/weston-7.0.0.ebuild | 145 ++++++++++++++++++++++++++++++++++++
 2 files changed, 146 insertions(+)

diff --git a/dev-libs/weston/Manifest b/dev-libs/weston/Manifest
index d819cfeec64..ce0e6e94ab5 100644
--- a/dev-libs/weston/Manifest
+++ b/dev-libs/weston/Manifest
@@ -1,3 +1,4 @@
 DIST weston-3.0.0.tar.xz 1300340 BLAKE2B 38b46ecca03ffee7832a561348cb1d6604db7e0add8b5629141ce61593ae250625d71c6716f02296157ea5a61764ff10561fa7ffc8f3c1426a4c86589b13b5c3 SHA512 b824c39f2a884f6d50d607613f447090621f684c96f7d905f25f6e500dabd03ecb2b1cd1030babc193c3417223cb220103abb792437e1a5ead7229a76b5c7a58
 DIST weston-6.0.1.tar.xz 1522600 BLAKE2B 58318cc70bc935886141107d2be9cda8113b50723bb0893f9ada9e2469461a8ce84acd2796b052b6974439ce4ebae329b183761dcacae7137e0a64ac61cebe47 SHA512 3da04ff9b884480ce0824950347185e55584e3938021fe62014423d3d51577eafdda8de650a5de6eb37a842130c9cb14c7a952a560f6be93ff973164363af3d9
 DIST weston-6.0.93.tar.bz2 1180746 BLAKE2B 47768ad3b2901ead6fe167cf4453c99537c7795568966893f39356f614b85a813daab4b3a8d33fe4752063dbb45b5777cdd7efee784f9fbec40bda70a9cbb9c4 SHA512 3fb6d06c8fc5d8e5d3f6306f278a1227230f9ba47120475278b8cfbeee6da168834ce2c7ab25f52b382b315febf424f355cf92315c6aafbf7626522b4df4de19
+DIST weston-7.0.0.tar.xz 1086028 BLAKE2B 84bd16b9d9b191be79bd58a2eecf189971f859edd922245df426ef7871533f5e2a99d484a91241953d182047a6d70d9ee64e8754ea7638637aaf777e4382e793 SHA512 fa14467ab89fb12175830d9cf29d89dc04899fd21d801e60e85836e8e52e17e144be78098b3eedfab6c51b7fb055ecfabb456a8a74f4e40485134da59ac58ea3

diff --git a/dev-libs/weston/weston-7.0.0.ebuild b/dev-libs/weston/weston-7.0.0.ebuild
new file mode 100644
index 00000000000..2eefef3e88e
--- /dev/null
+++ b/dev-libs/weston/weston-7.0.0.ebuild
@@ -0,0 +1,145 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+if [[ ${PV} = 9999* ]]; then
+	EGIT_REPO_URI="https://gitlab.freedesktop.org/wayland/weston.git"
+	GIT_ECLASS="git-r3"
+	EXPERIMENTAL="true"
+fi
+
+inherit meson readme.gentoo-r1 toolchain-funcs xdg-utils $GIT_ECLASS
+
+DESCRIPTION="Wayland reference compositor"
+HOMEPAGE="https://wayland.freedesktop.org/ https://gitlab.freedesktop.org/wayland/weston"
+
+if [[ $PV = 9999* ]]; then
+	SRC_URI="${SRC_PATCHES}"
+	KEYWORDS=""
+else
+	SRC_URI="https://wayland.freedesktop.org/releases/${P}.tar.xz"
+	KEYWORDS="~amd64 ~arm ~x86"
+fi
+
+LICENSE="MIT CC-BY-SA-3.0"
+SLOT="0"
+
+IUSE="colord +desktop +drm editor examples fbdev fullscreen +gles2 headless ivi jpeg +launch lcms pipewire rdp remoting +resize-optimization screen-sharing static-libs +suid systemd test wayland-compositor webp +X xwayland"
+
+REQUIRED_USE="
+	colord? ( lcms )
+	drm? ( gles2 )
+	pipewire? ( drm )
+	screen-sharing? ( rdp )
+	test? ( desktop headless xwayland )
+	wayland-compositor? ( gles2 )
+	|| ( drm fbdev headless rdp wayland-compositor X )
+"
+
+RDEPEND="
+	>=dev-libs/libinput-0.8.0
+	>=dev-libs/wayland-1.17.0
+	>=dev-libs/wayland-protocols-1.18
+	lcms? ( media-libs/lcms:2 )
+	media-libs/libpng:0=
+	webp? ( media-libs/libwebp:0= )
+	jpeg? ( virtual/jpeg:0= )
+	>=x11-libs/cairo-1.11.3
+	>=x11-libs/libdrm-2.4.68
+	>=x11-libs/libxkbcommon-0.5.0
+	>=x11-libs/pixman-0.25.2
+	x11-misc/xkeyboard-config
+	fbdev? (
+		>=sys-libs/mtdev-1.1.0
+		>=virtual/udev-136
+	)
+	colord? ( >=x11-misc/colord-0.1.27 )
+	drm? (
+		>=media-libs/mesa-17.1[gbm]
+		>=sys-libs/mtdev-1.1.0
+		>=virtual/udev-136
+	)
+	editor? ( x11-libs/pango )
+	gles2? (
+		media-libs/mesa[gles2,wayland]
+	)
+	pipewire? ( >=media-video/pipewire-0.2 )
+	rdp? ( >=net-misc/freerdp-2.0.0_rc2:= )
+	remoting? (
+		media-libs/gstreamer:1.0
+		media-libs/gst-plugins-base:1.0
+	)
+	systemd? (
+		sys-auth/pambase[systemd]
+		>=sys-apps/dbus-1.6
+		>=sys-apps/systemd-209[pam]
+	)
+	launch? ( sys-auth/pambase )
+	X? (
+		>=x11-libs/libxcb-1.9
+		x11-libs/libX11
+	)
+	xwayland? (
+		x11-base/xorg-server[wayland]
+		x11-libs/cairo[xcb]
+		>=x11-libs/libxcb-1.9
+		x11-libs/libXcursor
+	)
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	virtual/pkgconfig
+"
+
+src_configure() {
+	local emesonargs=(
+		$(meson_use drm backend-drm)
+		-Dbackend-drm-screencast-vaapi=false
+		$(meson_use headless backend-headless)
+		$(meson_use rdp backend-rdp)
+		$(meson_use screen-sharing screenshare)
+		$(meson_use wayland-compositor backend-wayland)
+		$(meson_use X backend-x11)
+		$(meson_use fbdev backend-fbdev)
+		-Dbackend-default=auto
+		$(meson_use gles2 renderer-gl)
+		$(meson_use launch weston-launch)
+		$(meson_use xwayland)
+		$(meson_use systemd)
+		$(meson_use remoting)
+		$(meson_use pipewire)
+		$(meson_use desktop shell-desktop)
+		$(meson_use fullscreen shell-fullscreen)
+		$(meson_use ivi shell-ivi)
+		$(meson_use lcms color-management-lcms)
+		$(meson_use colord color-management-colord)
+		$(meson_use systemd launcher-logind)
+		$(meson_use jpeg image-jpeg)
+		$(meson_use webp image-webp)
+		-Dtools=debug,info,terminal
+		-Dsimple-dmabuf-drm=auto
+		$(meson_use examples demo-clients)
+		$(usex examples -Dsimple-clients=damage,dmabuf-v4l,im,shm,touch$(usex gles2 ,dmabuf-egl,egl "") "")
+		$(meson_use resize-optimization resize-pool)
+		-Dtest-junit-xml=false
+		"${myconf[@]}"
+	)
+	meson_src_configure
+}
+
+src_test() {
+	xdg_environment_reset
+
+	# devices test usually fails.
+	cd "${BUILD_DIR}" || die
+	meson test $(meson test --list | grep -Fxv devices) || die
+}
+
+src_install() {
+	meson_src_install
+	if use launch && use suid; then
+		chmod u+s "${ED}"/usr/bin/weston-launch || die
+	fi
+	readme.gentoo_create_doc
+}


             reply	other threads:[~2019-08-26  9:00 UTC|newest]

Thread overview: 141+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-08-26  9:00 James Le Cuirot [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-15 23:01 [gentoo-commits] repo/gentoo:master commit in: dev-libs/weston/ James Le Cuirot
2024-10-25 21:05 James Le Cuirot
2024-10-15 13:34 James Le Cuirot
2024-09-06 22:37 James Le Cuirot
2024-09-06 22:37 James Le Cuirot
2024-09-05 22:07 James Le Cuirot
2024-09-05 22:07 James Le Cuirot
2024-09-05 22:07 James Le Cuirot
2024-07-01 13:43 James Le Cuirot
2024-06-30 15:05 James Le Cuirot
2024-06-08  9:31 James Le Cuirot
2024-06-08  9:31 James Le Cuirot
2024-05-28 22:28 Ionen Wolkens
2024-04-26 22:07 James Le Cuirot
2024-04-26 22:07 James Le Cuirot
2024-04-26 22:07 James Le Cuirot
2024-04-26 21:58 James Le Cuirot
2024-04-26 21:32 James Le Cuirot
2024-04-26 21:32 James Le Cuirot
2024-04-26  0:14 Sam James
2024-04-26  0:14 Sam James
2024-04-25 22:18 Sam James
2024-04-25 22:18 Sam James
2024-04-25 21:10 James Le Cuirot
2024-04-24 22:59 James Le Cuirot
2024-04-24 17:39 Arthur Zamarin
2024-04-19  8:31 Arthur Zamarin
2024-04-16 22:29 Sam James
2024-03-17 16:35 Mike Gilbert
2023-12-30 18:39 Mike Gilbert
2023-12-17 22:59 James Le Cuirot
2023-11-28 22:56 James Le Cuirot
2023-11-28 22:56 James Le Cuirot
2023-10-17 21:34 James Le Cuirot
2023-08-07 13:45 James Le Cuirot
2023-08-07 12:54 James Le Cuirot
2023-08-04 21:54 James Le Cuirot
2023-06-24 13:41 James Le Cuirot
2023-06-13 18:10 Arthur Zamarin
2023-05-27  9:12 James Le Cuirot
2023-05-27  6:35 Arthur Zamarin
2023-05-27  6:35 Arthur Zamarin
2023-05-27  6:34 Arthur Zamarin
2023-05-22 19:36 James Le Cuirot
2023-05-20 20:22 James Le Cuirot
2023-05-20 20:22 James Le Cuirot
2023-05-05  9:43 Arthur Zamarin
2023-04-26 21:37 James Le Cuirot
2023-03-19 10:46 James Le Cuirot
2023-03-11 17:04 Sam James
2022-12-24 17:12 James Le Cuirot
2022-12-24 17:12 James Le Cuirot
2022-12-21 23:15 James Le Cuirot
2022-12-21 23:15 James Le Cuirot
2022-12-08 22:06 James Le Cuirot
2022-12-05 17:24 WANG Xuerui
2022-12-05 17:24 WANG Xuerui
2022-09-28 21:03 James Le Cuirot
2022-09-25 13:40 James Le Cuirot
2022-08-08 22:57 James Le Cuirot
2022-07-27 22:38 James Le Cuirot
2022-06-24  9:24 James Le Cuirot
2022-06-24  9:24 James Le Cuirot
2022-05-21  9:25 James Le Cuirot
2022-05-15  3:10 Sam James
2022-05-10  4:06 Arthur Zamarin
2022-05-07 18:28 Arthur Zamarin
2022-04-30 12:06 Arthur Zamarin
2022-04-30 12:00 Arthur Zamarin
2022-04-30 12:00 Arthur Zamarin
2022-04-30 12:00 Arthur Zamarin
2022-04-30 12:00 Arthur Zamarin
2022-02-05 22:58 James Le Cuirot
2022-02-05 17:01 James Le Cuirot
2022-01-12  6:24 Georgy Yakovlev
2021-09-24 22:05 James Le Cuirot
2021-09-24 22:05 James Le Cuirot
2021-08-25  0:10 Marek Szuba
2021-08-20  0:28 Sam James
2021-08-18  1:41 Sam James
2021-08-18  1:28 Sam James
2021-08-18  1:28 Sam James
2021-07-26 19:52 Piotr Karbowski
2021-05-29  8:58 James Le Cuirot
2021-05-15  1:59 Sam James
2021-04-11 12:28 James Le Cuirot
2021-04-03 15:44 Sam James
2021-02-18  8:50 Sam James
2021-01-19 19:17 Sam James
2021-01-01 18:25 Andreas Sturmlechner
2020-12-17 11:59 Sam James
2020-12-02 23:31 Thomas Deutschmann
2020-09-05 10:32 James Le Cuirot
2020-09-05 10:32 James Le Cuirot
2020-09-05 10:32 James Le Cuirot
2020-07-25 20:39 James Le Cuirot
2020-03-08 17:21 James Le Cuirot
2020-03-08 10:42 Agostino Sarubbo
2020-03-08 10:37 Agostino Sarubbo
2020-03-08 10:25 Agostino Sarubbo
2020-02-15 23:38 James Le Cuirot
2020-02-15 23:38 James Le Cuirot
2020-01-14 22:39 James Le Cuirot
2019-11-24 23:49 James Le Cuirot
2019-09-14 13:35 James Le Cuirot
2019-08-26  9:00 James Le Cuirot
2019-08-18 10:20 James Le Cuirot
2019-08-10  9:21 James Le Cuirot
2019-06-25 19:46 James Le Cuirot
2019-06-25 19:46 James Le Cuirot
2019-04-30 22:00 James Le Cuirot
2019-04-14 21:47 James Le Cuirot
2019-04-14 21:47 James Le Cuirot
2019-04-14 14:17 James Le Cuirot
2019-04-14 14:17 James Le Cuirot
2019-03-10 13:10 James Le Cuirot
2018-11-16 23:05 James Le Cuirot
2018-11-16 23:05 James Le Cuirot
2018-10-19  8:51 Michał Górny
2018-08-19 20:17 James Le Cuirot
2018-05-13 11:30 Markus Meier
2018-05-06 12:26 Mikle Kolyada
2017-09-14 10:25 James Le Cuirot
2017-09-14 10:25 James Le Cuirot
2017-09-14 10:25 James Le Cuirot
2017-08-17 17:06 Michał Górny
2017-03-09 14:39 Chí-Thanh Christopher Nguyễn
2017-03-09 14:39 Chí-Thanh Christopher Nguyễn
2017-03-03  4:25 Matt Turner
2016-10-04 18:12 Manuel Rüger
2016-08-05 17:23 Markus Meier
2016-06-04 11:18 Chí-Thanh Christopher Nguyễn
2016-03-10 18:20 Chí-Thanh Christopher Nguyễn
2015-12-19 19:56 Markus Meier
2015-09-22 16:33 Matt Turner
2015-08-31 21:24 Matt Turner
2015-08-30 20:00 Matt Turner
2015-08-30  0:43 Matt Turner
2015-08-30  0:43 Matt Turner
2015-08-30  0:08 Matt Turner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1566809948.0e4c8bbdb10536580607456ea675aef38ec995b1.chewi@gentoo \
    --to=chewi@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox